var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var swagger_exports = {};
__export(swagger_exports, {
  default: () => swagger_default
});
module.exports = __toCommonJS(swagger_exports);
const user = {
  type: "object",
  description: "\u7528\u6237",
  properties: {
    id: {
      type: "integer",
      description: "ID"
    },
    nickname: {
      type: "string",
      description: "\u6635\u79F0"
    },
    email: {
      type: "string",
      description: "\u90AE\u7BB1"
    },
    phone: {
      type: "string",
      description: "\u624B\u673A\u53F7"
    },
    appLang: {
      type: "string",
      description: "\u7528\u6237\u4F7F\u7528\u8BED\u8A00"
    },
    systemSettings: {
      type: "object",
      description: "\u7CFB\u7EDF\u8BBE\u7F6E",
      properties: {
        theme: {
          type: "string",
          description: "\u7528\u6237\u4F7F\u7528\u4E3B\u9898"
        }
      }
    },
    createdAt: {
      type: "string",
      format: "date-time",
      description: "\u521B\u5EFA\u65F6\u95F4"
    },
    updatedAt: {
      type: "string",
      format: "date-time",
      description: "\u66F4\u65B0\u65F6\u95F4"
    },
    createdById: {
      type: "integer",
      description: "\u521B\u5EFA\u4EBA"
    },
    updatedById: {
      type: "integer",
      description: "\u66F4\u65B0\u4EBA"
    }
  }
};
var swagger_default = {
  info: {
    title: "NocoBase API - SAML plugin"
  },
  paths: {
    "/saml:getAuthUrl": {
      security: [],
      get: {
        description: "Get SAML authorization url",
        tags: ["SAML"],
        parameters: [
          {
            name: "X-Authenticator",
            description: "\u767B\u5F55\u65B9\u5F0F\u6807\u8BC6",
            in: "header",
            schema: {
              type: "string"
            },
            required: true
          }
        ],
        responses: {
          200: {
            description: "ok",
            content: {
              "application/json": {
                schema: {
                  type: "string"
                }
              }
            }
          }
        }
      }
    },
    "/auth:signIn": {
      security: [],
      post: {
        description: "SAML sign in",
        tags: ["SAML"],
        parameters: [
          {
            name: "X-Authenticator",
            description: "\u767B\u5F55\u65B9\u5F0F\u6807\u8BC6",
            in: "header",
            schema: {
              type: "string"
            },
            required: true
          }
        ],
        requestBody: {
          content: {
            "application/json": {
              schema: {
                type: "object",
                properties: {
                  samlResponse: {
                    type: "string"
                  }
                }
              }
            }
          }
        },
        responses: {
          200: {
            description: "ok",
            content: {
              "application/json": {
                schema: {
                  type: "object",
                  properties: {
                    user,
                    token: {
                      type: "string"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
};
