var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var plugin_exports = {};
__export(plugin_exports, {
  SAMLPlugin: () => SAMLPlugin,
  default: () => plugin_default
});
module.exports = __toCommonJS(plugin_exports);
var import_server = require("@nocobase/server");
var import_getAuthUrl = require("./actions/getAuthUrl");
var import_metadata = require("./actions/metadata");
var import_redirect = require("./actions/redirect");
var import_saml_auth = require("./saml-auth");
var import_constants = require("../constants");
var import_path = require("path");
class SAMLPlugin extends import_server.Plugin {
  afterAdd() {
  }
  beforeLoad() {
  }
  async load() {
    this.db.addMigrations({
      namespace: "auth",
      directory: (0, import_path.resolve)(__dirname, "migrations"),
      context: {
        plugin: this
      }
    });
    this.app.authManager.registerTypes(import_constants.authType, {
      auth: import_saml_auth.SAMLAuth
    });
    this.app.resource({
      name: "saml",
      actions: {
        redirect: import_redirect.redirect,
        metadata: import_metadata.metadata,
        getAuthUrl: import_getAuthUrl.getAuthUrl
      }
    });
    this.app.acl.allow("saml", "*", "public");
  }
  async install(options) {
  }
  async afterEnable() {
  }
  async afterDisable() {
  }
  async remove() {
  }
}
var plugin_default = SAMLPlugin;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  SAMLPlugin
});
